Name:		sdrangel
Version:	7.3.2
Release:	1%{?dist}
Summary:	Software defined radio (SDR) and signal analyzer frontend to various hardware
License:	GPLv3+
URL:		https://github.com/f4exb/sdrangel
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
ExcludeArch:	s390x ppc64le

Provides:	bundled(jrtplib) = 3.11.1
Provides:	bundled(qthid)
Provides:	bundled(QtWebApp)
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	make
BuildRequires:	pkgconf-pkg-config
BuildRequires:	codec2-devel
BuildRequires:	airspyone_host-devel
BuildRequires:	SoapySDR-devel
BuildRequires:	hackrf-devel
BuildRequires:	uhd-devel
BuildRequires:	rtl-sdr-devel
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	desktop-file-utils
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtwebsockets-devel
BuildRequires:	qt5-qtwebengine-devel
BuildRequires:	qt5-qtmultimedia-devel
# qtpositioning
BuildRequires:	qt5-qtlocation-devel
BuildRequires:	qt5-qtcharts-devel
BuildRequires:	qt5-qtserialport-devel
BuildRequires:	qt5-qtspeech-devel
BuildRequires:	qt5-qtbase-private-devel
BuildRequires:	boost-devel
BuildRequires:	gr-osmosdr-devel
BuildRequires:	fftw-devel
BuildRequires:	libusbx-devel
BuildRequires:	zlib-devel
#BuildRequires:	faad2-devel
BuildRequires:	opencv-devel
BuildRequires:	serialdv-devel
BuildRequires:	opus-devel
BuildRequires:	libiio-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	hidapi-devel
BuildRequires:	desktop-file-utils
Requires:	hicolor-icon-theme

%description
SDRangel uses sample source plugins to collect I/Q samples from a hardware
device. Then in the passband returned possibly decimated one or more channel
Rx plugins can be used to demodulate, decode or analyze some part of this
spectrum.

Conversely SDRangel uses sample sink plugins to send I/Q samples to a
hardware device. One or more channel Tx plugins can be used to produce
modulated samples that are mixed into a transmission passband with possible
subsequent interpolation before being sent to the device or written to file.

More information is available on the project Wiki:
https://github.com/f4exb/sdrangel/wiki/Quick-start

%prep
%autosetup -p1

%build
%cmake -DARCH_OPT=""
%cmake_build

%install
%cmake_install

desktop-file-validate \
  %{buildroot}%{_datadir}/applications/sdrangel.desktop

# drop duplicate readme file, already installed as the doc
rm -f %{buildroot}%{_datadir}/%{name}/Readme.md

%files
%license LICENSE
%doc CHANGELOG Readme.md
%{_bindir}/sdrangel
%{_bindir}/sdrangelbench
%{_bindir}/sdrangelsrv
%{_libdir}/sdrangel
%{_datadir}/applications/sdrangel.desktop
%{_datadir}/icons/hicolor/scalable/apps/sdrangel_icon.svg

%changelog
* Tue Jun 14 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.3.2-1
- New version
  Resolves: rhbz#2096464

* Mon Jun  6 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.3.1-1
- New version
  Resolves: rhbz#2091481

* Fri May 27 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.2.1-1
- New version
  Resolves: rhbz#2090931

* Thu May 26 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.2.0-1
- New version
  Resolves: rhbz#2090518

* Mon May 23 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.1.0-1
- New version
  Resolves: rhbz#2088770

* Thu May 19 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 7.0.0-1
- New version
  Resolves: rhbz#2070713

* Wed Apr 27 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.2-4
- Used distro's optimization flags, not the -march=native

* Tue Apr 26 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.2-3
- Rebuilt for new uhd
  Resolves: rhbz#2077805

* Thu Apr  7 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.2-2
- Rebuilt for new QT
  Resolves: rhbz#2071950

* Thu Mar 31 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.2-1
- New version
  Resolves: rhbz#2070713

* Thu Mar 31 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.1-2
- Rebuilt for new QT5
  Resolves: rhbz#2070663

* Thu Mar 10 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.20.1-1
- New version
- Updated according to the Fedora review
  Related: rhbz#2045924

* Wed Feb 23 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.19.1-1
- New version
- Updated according to the Fedora review
  Related: rhbz#2045924

* Tue Jan 25 2022 Jaroslav Škarvada <jskarvad@redhat.com> - 6.18.1-1
- Initial release
